<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Virtual Server .::WMS::. -- || By SIYSC-Solutions ||</title>
<style type="text/css">
<!--
.Estilo4 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
}
.Estilo5 {font-size: 16px; font-family: Arial, Helvetica, sans-serif; }
.Estilo7 {
	font-size: 14px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.Estilo9 {font-size: 24px; font-family: Arial, Helvetica, sans-serif; }
.Estilo10 {font-size: 22px; font-family: Arial, Helvetica, sans-serif; font-weight: bold; }
.Estilo11 {font-size: 18px; font-family: Arial, Helvetica, sans-serif; font-weight: bold; }
-->
</style>
</head>

<body>
<div align="right">
<?php
		
		include ("../../../Conexion.php");
			$UsuEn=$_GET['USUkp2'];
	
	if ($UsuEn=="")
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../../RedireccionDeCierre.php'>";
		}
		else
		{
		/////////IDENTIFICAR DATOS DE NIVEL///////
		$sql = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
						
	if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CNiv=$registro["NIVEL"];
		}
			
	if ($CNiv<>"01" and $CNiv<>"02")
		{
		echo "<script>alert('No estas autorizado para realizar esta operaci&oacute;n');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../../RedireccionDeCierre.php'>";
		}
		else
		{
		
	///////CONSULTAR EL PRIMER CODIGO DEL DOCUMENTO COMPLEMENTO EN LA TABLA temporal_etiquetapallet///////////
		$sqlID = "select min(ID) as ultimo_FOLIO from temporal_etiquetapallet"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'];
		$PasalaCU=$id_nuevo;
	
	/////CONSULTAR EL CODIGO EN LA TABLA temporal_etiquetapallet///////
		$sql = mysql_query("select * from  temporal_etiquetapallet where ID='$PasalaCU'");
						
		if (mysql_numrows($sql)==0) 
			{
			  echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../../RedireccionDeCierre.php'>";
			}
			else
			{
			$registro=mysql_fetch_array($sql);
			}
			if (mysql_numrows($sql)>0)
			{
			$IdConsul=$registro["ID"];
			$NomCuentaContrata=$registro["CUENTA"];
			$PDocComple=$registro["NO_DOC_COMPLE"];
			$PSKU=$registro["SKU"];
			$PCadu=$registro["CADUCIDAD"];
			$PSKUAlt=$registro["SKU_ALT"];
			$PDescrip=$registro["DESCRIPCION"];
			$PCantidad=$registro["PIEZAS"];
			$PCajas=$registro["CAJAS"];
			$PNoPallet=$registro["NO_PALLET"];	

	//////////////////////////////////////////FORMATO DE IMPRESION////////////////////////////////////////////////////////////////////////////////////////////
		
		$num = $PNoPallet;
		$num = isset($_REQUEST) && is_array($_REQUEST) && isset($_REQUEST['num']) ? $_REQUEST['num'] : $num;
		
	  echo "<table width='551' height='355' border='0' style='border-collapse: collapse'>";
      echo "<tr>";
      echo "<td width='6' align='left' bgcolor='#000000'>&nbsp;</td>";
      echo "<td width='205' height='21' align='left' bgcolor='#000000'><span class='Estilo7'>www.logsyswms.com</span></td>";
      echo "<td width='206' align='right' bgcolor='#000000'><font size='20' class='Estilo7'>$NomCuentaContrata</font></td>";
  	  echo "</tr>";
      echo "<tr>";
      echo "<td>&nbsp;</td>";
      echo "<td height='25' colspan='2'><div align='left'><span class='Estilo9'>Doc. Comple</span><span class='Estilo4'>:</span><font size='20' class='Estilo10'>$PDocComple</font></div></td>";
      echo "</tr>";
      echo "<tr>";
      echo "<td>&nbsp;</td>";
      echo "<td height='25'><div align='left'><span class='Estilo9'>SKU</span><span class='Estilo4'>:</span><font size='20' class='Estilo10'>$PSKU</font></div></td>";
      echo "<td height='25'><div align='left'><span class='Estilo9'>Caducidad</span><span class='Estilo4'>:</span><font size='20' class='Estilo10'>$PCadu</font></div></td>";
      echo "</tr>";
      echo "<tr>";
      echo "<td>&nbsp;</td>";
      echo "<td height='25' colspan='2'><div align='left'><span class='Estilo9'>SKU</span><span class='Estilo9'> Alt:</span><font size='20' class='Estilo10'>$PSKUAlt</font></div></td>";
      echo "</tr>";
      echo "<tr>";
      echo "<td>&nbsp;</td>";
      echo "<td height='25' colspan='2'><div align='left'><span class='Estilo9'>Descripción</span><span class='Estilo4'>:</span></div></td>";
      echo "</tr>";
      echo "<tr>";
      echo "<td>&nbsp;</td>";
      echo "<td height='25' colspan='2'><div align='left'><font size='20' class='Estilo11'>$PDescrip</font></div></td>";
      echo "</tr>";
      echo "<tr>";
      echo "<td>&nbsp;</td>";
      echo "<td height='25'><div align='left'><span class='Estilo9'>Piezas</span><span class='Estilo4'>:</span><font size='20' class='Estilo10'>$PCantidad</font></div></td>";
      echo "<td height='25'><div align='left'><span class='Estilo9'>Cajas</span><span class='Estilo4'>:</span><font size='20' class='Estilo10'>$PCajas</font></div></td>";
      echo "</tr>";
      echo "<tr>";
      echo "<td height='97' colspan='3' align='center'><img src='barcode_img.php?num=$num&type=code128&imgtype=png' alt='PNG: $num' title='PNG: $num' width='90%' height='93%'></td>";
      echo "</tr>";
      echo "</table>";

      ///MANDAR A IMPRIMIR
	  echo "<script language='JavaScript'>window.print();</script>";
	  
	  //ELIMINA EL REGISTRO DE LA ETIQUETA DE PALLET DE LA TABLA temporal_etiquetapallet, PARA PASAR A LA SIGUIENTE
			$sqlD= "DELETE FROM temporal_etiquetapallet WHERE ID='$IdConsul'";
			$resultadoD=mysql_query($sqlD,$conexion) or die(mysql_error());
	  
	  //ACTUALIZA VENTANA
	  /////echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=16-EtiquetaDePalletDocumento2.php?USUkp2=$UsuEn'>";/// ESTE ES OTRO METODO
	  echo "<meta content='2;URL=16-EtiquetaDePalletDocumento2.php?USUkp2=$UsuEn' http-equiv='REFRESH'></meta>";
	  
			}///////Fin de if para consultar impresion
			}
			}
	?>
	</div>
</body>
</html>